package com.jpsoft.picc.modules.business.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:business_student_application_record的实体类
 */
@Data
@ApiModel(value = "business_student_application_record的实体类")
public class StudentApplicationRecord {
	/**
	 *编号
	 */
	@ApiModelProperty(value = "编号")
	private String id;
	/**
	 *投保单申请ID
	 */
	@ApiModelProperty(value = "投保单申请ID")
	private String applicationId;
	/**
	 *意见
	 */
	@ApiModelProperty(value = "意见")
	private String opinion;
	/**
	 *流程审核状态:正常/回退等
	 */
	@ApiModelProperty(value = "流程审核状态:正常/回退等")
	private String processStatus;
	/**
	 *是否删除
	 */
	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;
	/**
	 *状态
	 */
	@ApiModelProperty(value = "状态")
	private String status;
	/**
	 *创建人
	 */
	@ApiModelProperty(value = "创建人")
	private String createBy;
	/**
	 *创建时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 *修改人
	 */
	@ApiModelProperty(value = "修改人")
	private String updateBy;
	/**
	 *修改时间
	 */
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updateTime;
}